/*
 * @(#) AbstractData.java	1.3 99/12/22
 *
 * Copyright (c) 1997,1998 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * In Pnuts, method call of an object implements this interface causes a call
 * of the <tt>invoke()</tt> method.
 * See <a href="/pnuts/doc/lang.html#sugar">Pnuts Language Specification</a>
 * for details.
 *
 * @version	1.3
 * @author 	Toyokazu Tomatsu
 */
public interface AbstractData extends Property {
    java.lang.Object invoke(String name, java.lang.Object[] args, Context context);
}
