/*
 * @(#) ContextFactory.java	1.1 00/07/26
 *
 * Copyright (c) 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.tools;

import pnuts.lang.Context;

/**
 * Factory for Context object
 * <p>
 * This interface is used by pnuts.tools.Main class to create the initial context.
 */
public interface ContextFactory {

    /**
     * Create a context
     */
    public Context createContext();
}
