/*
 * @(#) CompilerPnutsImpl.java	1.2 00/08/07
 *
 * Copyright (c) 1997-2000 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.compiler;

import pnuts.lang.PnutsImpl;
import pnuts.lang.SimpleNode;
import pnuts.lang.Context;
import pnuts.lang.Jump;

/**
 * A subclass of PnutsImpl that always compiles scripts.
 *
 * @see pnuts.lang.PnutsImpl
 * @see pnuts.ext.CachedPnutsImpl
 */
public class CompilerPnutsImpl extends PnutsImpl {

    private Compiler compiler = new Compiler(null, true, true);

    public void includeLineNo(boolean flag){
	compiler.includeLineNo(flag);
    }

    public Object accept(SimpleNode node, Context context){
	return node.accept(compiler, context);
    }
}
