/*
 * @(#) PnutsComparator.java	1.1 99/12/20
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.ext;

import java.util.Comparator;
import pnuts.lang.Arithmetic;

/**
 * A comparison function based on Pnuts operators '<', '>', '==', '<=', and '>='.
 */
public class PnutsComparator implements Comparator {

    /**
     * Compares its two arguments for order.
     */
    public int compare(Object o1, Object o2){
	return Arithmetic.compareTo(o1, o2);
    }
}
