/*
 * @(#) PackageFactory.java	1.2 00/02/15
 *
 * Copyright (c) 1997-1999 Sun Microsystems, Inc. All Rights Reserved.
 *
 * See the file "license.txt" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */
package pnuts.lang;

/**
 * When an instance of this interface is registered by
 * Package::setPackageFactory() method, package() builtin
 * function calls its createPackage() method.
 *
 * @see		pnuts.lang.Package
 * @version	1.2
 */
public interface PackageFactory {
    public Package createPackage(String pkgName, Package parent);
}
